'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FormGroup = function (_React$Component) {
  _inherits(FormGroup, _React$Component);

  function FormGroup() {
    _classCallCheck(this, FormGroup);

    return _possibleConstructorReturn(this, (FormGroup.__proto__ || Object.getPrototypeOf(FormGroup)).apply(this, arguments));
  }

  _createClass(FormGroup, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          id = _props.id,
          label = _props.label,
          required = _props.required,
          valid = _props.valid,
          validationMessage = _props.validationMessage;

      var cssClasses = 'form-group';
      var validationMessageTag = '';
      var labelTag = '';
      if (validationMessage) {
        validationMessageTag = _react2.default.createElement(
          'div',
          { className: valid ? 'valid-feedback' : 'invalid-feedback' },
          validationMessage
        );
      }
      var childrenWithProps = this.props.children;
      if (required) {
        childrenWithProps = _react2.default.Children.map(this.props.children, function (child) {
          return _react2.default.cloneElement(child, { required: true });
        });
      }
      if (label && required) {
        labelTag = _react2.default.createElement(
          'label',
          { id: 'FormGroupLabel-' + id, htmlFor: id },
          label,
          '\xA0',
          _react2.default.createElement(
            'small',
            { className: 'text-danger' },
            'Required'
          )
        );
      } else if (label && !required) {
        labelTag = _react2.default.createElement(
          'label',
          { id: 'FormGroupLabel-' + id, htmlFor: id },
          label
        );
      } else if (!label && required) {
        labelTag = _react2.default.createElement(
          'label',
          { id: 'FormGroupLabel-' + id, htmlFor: id },
          _react2.default.createElement(
            'small',
            { className: 'text-danger' },
            'Required'
          )
        );
      }

      return _react2.default.createElement(
        'div',
        { id: 'FormGroup-' + id, className: cssClasses },
        labelTag,
        childrenWithProps,
        validationMessageTag
      );
    }
  }]);

  return FormGroup;
}(_react2.default.Component);

FormGroup.defaultProps = {
  required: false
};
FormGroup.propTypes = {
  children: _propTypes2.default.node.isRequired,
  id: _propTypes2.default.string.isRequired,
  label: _propTypes2.default.string,
  required: _propTypes2.default.bool,
  valid: _propTypes2.default.bool,
  validationMessage: _propTypes2.default.string
};
exports.default = FormGroup;